Holger's Java API

## com.antelmann.util.gui
Class FormListener.Adapter

    java.lang.Object
      com.antelmann.util.gui.FormListener.Adapter

All Implemented Interfaces:
  FormListener

Enclosing interface:
  FormListener

    public abstract static class FormListener.Adapter

extends Object
implements FormListener

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.util.gui.FormListener
`FormListener.Adapter`

Constructor Summary
`FormListener.Adapter()`

Method Summary
`void` `formDisposed(Container frame)` called after a FormFrame is disposed
`void` `formException(Container frame, Exception ex)` called when during a save operation an exception was thrown (including FormValidationExceptions); this method is called right before the exception is indicated to the user via dialog, so that it can be logged.
`void` `formSaved(Container frame, Object value)` called when the form successfully ended a save operation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormListener.Adapter

    public FormListener.Adapter()

Method Detail

### formDisposed

    public void formDisposed(Container frame)

  Description copied from interface: `FormListener`
  called after a FormFrame is disposed

  Specified by:
    `formDisposed` in interface `FormListener`
  Parameters:
    `frame` - the Container form that was just closed and initiated this event

### formSaved

    public void formSaved(Container frame,
                          Object value)

  Description copied from interface: `FormListener`
  called when the form successfully ended a save operation

  Specified by:
    `formSaved` in interface `FormListener`
  Parameters:
    `frame` - the Container form that generated this event
    `value` - the value generated by the commitForm method of the FormValidator

### formException

    public void formException(Container frame,
                              Exception ex)

  Description copied from interface: `FormListener`
  called when during a save operation an exception was thrown (including FormValidationExceptions); this method is called right before the exception is indicated to the user via dialog, so that it can be logged.

  Specified by:
    `formException` in interface `FormListener`
  Parameters:
    `frame` - the Container form that generated this event
    `ex` - the Exception thrown by the save action - including FormValidationExceptions
  See Also:
    `FormValidationWarning`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads